package subscriberepository

import (
	"legalgo-BE-go/database"
	subscribedomain "legalgo-BE-go/internal/domain/subscribe"
)

type accessor struct {
	db *database.DB
}

type Subscribe interface {
	Create(string) (string, error)
	GetByID(string) (subscribedomain.Subscribe, error)
	Update(subscribedomain.Subscribe) error
}

func New(db *database.DB) Subscribe {
	return &accessor{db}
}
